.section--services {
  grid-template-columns: repeat(auto-fit, minmax(40rem, 1fr));
  display: grid;
  gap: 2rem;
  margin-bottom: 4rem;
}

.section--services-detail p{
  margin-bottom: 5rem;  
  font-size: 2rem;
  line-height: 3.8rem;
  letter-spacing: 4%;
  color: #6A6A6A;
  font-weight: 400;
}

.section--services__block {
  display: flex;
  gap: 2rem;
  background-color: #FFF7F4;
  padding: 4rem;
  box-shadow: 0 20px 35px rgba(0, 0, 0, 0.05);
  transition: all 0.3s ease;
  transform-origin: center;
}

.section--services__block:hover {
  /*transform: translateY(+5px) scale(1.01);*/
  box-shadow: 0 5px 15px rgba(0,0,0,0.1);
  z-index: 10;
}


.section--services__icon {
  flex: 0 1 15rem;
}
.section--services__info {
  display: flex;
  flex-direction: column;
  gap: 2rem;
  overflow: visible;
  transition: all 0.3s ease;
}


.section--services__number,
.section--services__heading a,
.section--services__price--min,
.section--services__currency{
  transition: all 0.3s ease;
}

.section--services__info:hover .section--services__number,
.section--services__info:hover .section--services__heading a{
  color: #c28565;
  /*transform: scale(1.01);*/
  transition: all 0.3s ease;
}




.section--services__number {
  display: inline-block;
  font-size: 4.4rem;
  color: #0D0D0D;
  font-weight: 700;
  position: relative;
  width: 4.8rem; /* Фиксированная ширина */
  height: 4.8rem; /* Фиксированная высота */
}

.section--services__number:before{
  content: "";
  background-image: url("/local/templates/makeup_section/images/services/services_number_background.png");
  background-repeat: no-repeat;
  position: absolute;
  top: 0;
  left: 20px;
  z-index: 1;
  width: 48px;
  height: 48px;
  display: block;
}

.section--services__heading {
}
.section--services__heading a{
  font-size: 2rem;
  font-weight: 600;
  color: #0D0D0D;
  text-transform: uppercase; 
}

.section--services__desk {
  line-height: 27px;
  letter-spacing: 4%;  
}

.section--services-detail{
  
}
.section--services-detail__header-bg{
  position: absolute;
  width: 100vw;
  left: 50%;
  transform: translateX(-50%);
  height: 100%;
  top: 0;
  z-index: -2;
  clip-path: inset(0 0 0 0);
}

.section--services-detail__header-bg img{
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.section--services-detail__header-bg:before{
  content: "";
  position: absolute;
  width: 100vw;
  left: 50%;
  transform: translateX(-50%);
  background-color: rgba(0, 0 , 0 , 0.8);
  height: 100%;
  top: 0;
  z-index: 1;
}

.section--services-detail__admin-info{
  
}

.section--services-detail__date--autor{
  display: flex;
  gap: 2rem;
  margin-bottom: 3rem;
}

.section--services-detail__info--author{
    
}

.section--services-detail__info--author:before{
  content: url("../images/blog/user.svg");
  margin-right: 1rem;
  width: 17.5px;
  height: 18px;
  display: inline-block;
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  position: relative;
  top: 1px;
}



.section--services-detail__admin-info img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.section--services-detail__left-block{}
.section--services-detail__rigth-block{
  display: flex;
  flex-direction: column;
  gap: 2rem;
}
.section--services-detail__title{
  font-family: "DM Serif Text", sans-serif;
  font-size: clamp(2.4rem, 1.6784rem + 3.299vw, 4.4rem);
  font-weight: 400;
  color: #0d0d0d;
  line-height: clamp(3.7rem, 2.6175rem + 4.9485vw, 6.7rem);
  margin-bottom: 0;
}

.section--services__number-heading{
  display: flex;
  align-items: center;
  gap: 4rem;
}


.section--services-detail__datail--price{
  width: 100%;
  margin-bottom: 5rem;
}


.section--services-detail__datail--price .price-info{
  padding: 4rem 1rem 4rem 4rem;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: all 0.3s ease-in-out;
  cursor: pointer;
  background-color: #FFF7F4;
  box-shadow: 0 5px 15px rgba(0,0,0,0.1);
}

.section--services-detail__datail--price .price-text{
  font-size: 4.4rem;
  font-weight: 400;
  color: #0d0d0d;
  text-transform: uppercase;
  padding-right: 2rem;
  border-right: 1px solid #c28565;
}

.section--services-detail__datail--price .price-item{
  font-size: 4.4rem;
  font-weight: 400;
  color: #0d0d0d;
  text-transform: uppercase;
  padding-left: 2rem;
}

.section--services-detail__datail--price .price-label{
  font-size: 2.4rem;
  font-weight: 400;
  color: #0d0d0d;
  text-transform: uppercase;
}


.section--services__price{
    
}

.section--services__price--block{
  display: flex;
  gap: 1rem;
}

.section--services__price--min,
.section--services__price--max{
  display: flex;
  gap: 1rem;
  font-family: "DM Serif Text", sans-serif;
  font-size: 2.4rem;
  font-weight: 400;
  color: #0d0d0d;
  align-items: end;
}

.section--services__currency{
  display: flex;
  gap: 1rem;
  font-family: "DM Serif Text", sans-serif;
  font-size: 2.4rem;
  font-weight: 400;
  color: #0d0d0d;
}

.section--services-detail__info--date{
  position: relative;
  display: flex;
  align-items: center;
}

.section--services-detail__info--date:before{
  content: url("../images/blog/date-range-svgrepo-com.svg");
  margin-right: 1rem;
  width: 19.5px;
  height: 18px;
  display: inline-block;
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  position: relative;
  top: -3px;
}

.section--services-detail__preview-text{
  font-size: 2rem;
  line-height: 3.4rem;
  letter-spacing: 4%;
}

.section--services-detail__preview--text{
    
}

.section--services-detail__preview--img{
  width: 100%;
  height: 35rem;  
  position: relative;
  margin-bottom: 3rem;
  border: 7px solid #ffffff;
  overflow: hidden;
}

.section--services-detail__preview--img img{
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.section--services-detail__datail--img{
  width: 100%;
  height: 55rem;
  position: relative; 
  border: 7px solid #ffffff;
  overflow: hidden;
  margin-bottom: 5rem;
}

.section--services-detail__datail--img img{
  width: 100%;
  height: 100%;
  object-fit: cover; 
}

.section--services-detail__datail--prop{
    
}

.section--services-detail__datail--galery{
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-gap: 2rem;
  width: 100%;
  margin-bottom: 5rem;
}

.section--services-detail__datail--galery .gallery-item{
  border: 7px solid #ffffff;
  overflow: hidden;
  transition: all .3s;
  position: relative;
  transition: all .3s;
}

.section--services-detail__datail--galery .gallery-item:before{
  content:"";
  background-color: rgba(0, 0, 0, 0.6);
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 1;
  transition: all .3s;
}

.section--services-detail__datail--galery .gallery-item:after{
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%) scale(0);
  width: 100%;
  height: 100%;
  z-index: 5;
  transition: all .3s;
  background: url("../images/svg-icon/loupe.svg") 50% 50% no-repeat;
  background-size: 3rem;
  transition: all .3s;
  cursor: pointer;
}

.section--services-detail__datail--galery .gallery-item:hover:after{
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%) scale(1);
  width: 100%;
  height: 100%;
  z-index: 5;
  transition: all .3s;
  background: url("../images/svg-icon/loupe.svg") 50% 50% no-repeat;
  background-size: 3rem;
  transition: all .3s;
  cursor: pointer;
}

.section--services-detail__datail--galery .gallery-item:hover:before{
  content:"";
  background-color: rgba(0, 0, 0, 0.2);
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 1;
}


.section--services-detail__datail--galery .gallery-item img{
  width: 100%;
  height: 100%;
  object-fit: cover; 
  transform: blur(100%);
  transition: all .3s;
  
}

.section--services-detail__datail--galery .gallery-item:hover img{
  transform: scale(1.02); 
  transition: all .3s;
}

.section--services-detail__datail--back{
  height: 4.6rem;
  padding: 0 2.2rem;
  background-color: #F6F6F6;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 5rem;
  color: #6A6A6A;
  font-size: 2rem;
  line-height: 30px;
  letter-spacing: 4%;
  transition: all .3s;
}

.section--services-detail__datail--back:hover{
  box-shadow: 0 5px 15px rgba(0,0,0,0.1);
  transition: all .3s;
}

.section--services-detail__datail--back:before{
  content: url("../images/svg-icon/back-arrow.svg");
  margin-right: 1rem;
  display: inline-block;
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  position: relative;
}














